﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: royalblue;
    font-family: 'Schoolbell', cursive;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start; 
    width: 100%; 
    overflow-x: hidden; 
    padding-left: 0;
    padding-right: 0;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 10px 5%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}

    .header h2 {
        color: antiquewhite;
        margin: 0; 
        flex-grow: 1; 
        text-align: left;
        margin-left: 10px;
    }

#logo {
    max-width: 50px;
    width: auto;
}

#connectWallet {
    margin-left: auto; 
}

.powered-by {
    margin-left: 10px; 
    color: antiquewhite;
}

    .powered-by img {
        height: 20px; 
        width: auto; 
    }

.content {
    display: flex;
    align-items: center; 
    justify-content: space-around; 
    height: 100%; 
    width: 100%;
    padding-top: 80px;
    padding-left: 5%; 
    padding-right: 5%; 
    margin-top: 10px; 
}

.left, .right {
    display: flex;
    flex-direction: column;
    align-items: center; 
    justify-content: center; 
    width: 50%; 
}

#mintInfo, #priceInfo {
    color: antiquewhite; 
    margin-bottom: 20px; 
    font-size: 1.8em; 
    text-align: right; 
}

button {
    background-color: red;
    font-size: 20px;
    color: antiquewhite;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    transition: 0.3s;
    font-family: 'Schoolbell', cursive;
    border-radius: 20px; 
}

    button:hover {
        background-color: darkred; 
        border-radius: 20px; 
    }

input#mintAmount {
    width: 300px;
    padding: 15px;
    background-color: #ecebe9;
    border: 2px solid blue; 
    text-align: center;
    font-size: 1.5em;
    margin-top: 20px;
    font-family: 'Schoolbell', cursive;
    border-radius: 10px;
    margin-bottom: 2em;
    outline: none; 
}

    input#mintAmount:focus {
        border: 2px solid deepskyblue;
    }


.collection {
    background-color: antiquewhite;
    padding: 60px 0;
    font-size: 1.8em;
    margin-top: 20px;
    height: 100%;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
    display: flex;
    padding-top: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

    .collection h2, .collection p {
        color: black;
        margin-bottom: 20px;  
    }

.image-container {
    display: flex;
    justify-content: center;
}

.comic-image {
    max-width: 100%;
/*    max-height: 200px;*/   
    max-height: 400px;
    border: 2px solid black; 
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5); 
    margin: 0 10px; 
}


footer {
    width: 100%;
    padding: 10px 0;
    background-color: royalblue; 
    text-align: center;
    bottom: 0;
    left: 0;
    margin-top: 10px;
}

    footer p {
        color: antiquewhite; 
        margin: 0;
        padding: 5px 0;
    }

    footer a {
        color: antiquewhite; 
        text-decoration: none;
        display: inline-block;
        margin-left: 10px;
    }

    footer img {
        width: 24px; 
        height: auto;
        vertical-align: middle;
    }


@media (max-width: 768px) { 

    .header {
        flex-direction: column; 
        align-items: center;
        justify-content: center;
        text-align: center;
        padding: 10px;
        position: relative;
    }

        .header h2 {
            margin-top: 10px; 
        }

    #connectWallet {
        margin-left: 0;
        margin-top: 10px; 
    }

    .content {
        flex-direction: column; 
        margin-top: 10px;  
    }


    .left, .right {
        width: 100%; 
        align-items: center; 
    }

    .collection {
        flex-direction: column;
        margin-top: 10px;
    }
        
    .collection p {
            text-align: center;
        }

    .image-container {
        flex-direction: row;
        margin-top: 10px;
    }

    .comic-image {
        max-width: 100px;
        max-height: 100px; 
    }

    footer {
        position: static; 
        margin-top: 0px; 
    }
}